/*
 * Copyright 2005 Ivan Leo Puoti
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define LOADDRIVER      1
#define UNLOADDRIVER    2
#define GETDEVICEHANDLE 3
#define IOCONTROL       4
#define BUFFER       4096

typedef struct
{
    int type;
    int size;
} NTOSKRNL_CALL;

typedef struct
{
    HANDLE Handle;
    ULONG IoControl;
    ULONG InputBufferLength;
    ULONG OutputBufferLength;
} IOCONTROL_CALL;

typedef struct
{
    NTSTATUS IoStatus;
    ULONG_PTR Info;
} IOCONTROL_RET;
